Recruiting needs#
PUT /api/recruiting#
Set recruiting needs
Replaces the full set of wanted roles and classes. An officer must be signed in.
Request body
Model: RecruitingUpdate
Field |
Type |
Required |
Description |
|---|---|---|---|
|
array of RecruitingRoleWant |
no |
|
|
array of RecruitingClassWant |
no |
Response 200 — The updated recruiting needs.
Model: Recruiting
Field |
Type |
Required |
Description |
|---|---|---|---|
|
array of RecruitingRoleWant |
yes |
|
|
array of RecruitingClassWant |
yes |
|
|
string (date-time) | null |
yes |
When an officer last saved this. None if it has never been set. |